Topic
  • 3 replies
  • Latest Post - ‏2012-01-23T15:50:24Z by SystemAdmin
SystemAdmin
SystemAdmin
59 Posts

Pinned topic Using Dojo 1.7.1 with Mysurance

‏2011-12-29T14:54:10Z |
Has anyone tried to use the latest version of dojo with the mysurance project. The layout gets all messed up (step12.html) even when I try the full build of dojo (replacing the dojo.js built for the app), and none of the events are captured. Any ideas?
Updated on 2012-01-23T15:50:24Z at 2012-01-23T15:50:24Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    59 Posts

    Re: Using Dojo 1.7.1 with Mysurance

    ‏2012-01-03T14:32:18Z  
    Initial reaction is that you may be running into the leading underscores problem between dojo and phonegap ( dojo faq link ). In order to get them to work together, we need to do a profile build of dojo. We'll try to get some more details here.
  • cailly
    cailly
    1 Post

    Re: Using Dojo 1.7.1 with Mysurance

    ‏2012-01-20T15:45:36Z  
    I do have a similar problem when trying to develop the "load payement application" as decribed in chapter 2 of the documentation. If i try to execute the application in foirefox with the firebug plugin, i can see 2 errors in dojo.js:
    dojo.js (line 895) : mid is undefined -> match = mid.match(/^(.+?)\!(.*)$/);
    dojo.js (line 1027) : deps[i] is undefined -> replacement = map[depshttp://i].mid;

    I have tried to replace the dojo.js library bythe one of dojo 1.7.0 but i still the problem
  • SystemAdmin
    SystemAdmin
    59 Posts

    Re: Using Dojo 1.7.1 with Mysurance

    ‏2012-01-23T15:50:24Z  
    • cailly
    • ‏2012-01-20T15:45:36Z
    I do have a similar problem when trying to develop the "load payement application" as decribed in chapter 2 of the documentation. If i try to execute the application in foirefox with the firebug plugin, i can see 2 errors in dojo.js:
    dojo.js (line 895) : mid is undefined -> match = mid.match(/^(.+?)\!(.*)$/);
    dojo.js (line 1027) : deps[i] is undefined -> replacement = map[depshttp://i].mid;

    I have tried to replace the dojo.js library bythe one of dojo 1.7.0 but i still the problem
    cailly,

    I'm not sure where you are in the Mobile Technology Preview documentation Can you provide the url to the specific documentation page?

    Also, are you trying to replace the dojo version supplied in the tech preview bundle with a newer version when you hit the error initially?